Subject: Re: issue 8

From: "Tom Petch" <[email-masked]>
Date: Sun, 6 Oct 2002 22:51:41 +0100

The FSM also introduces an OpenDelay timer which then should be
included.  I don't have any experience of a suitable setting; I
imagine it would be commensurate with, perhaps a multiple of, the
ConnectRetryTimer.

FSM also in places suggests a Hold Timer of 4 minutes.  Likewise, I
cannot suggest a resolution ( but can point out a potential
discrepancy:-(

Tom Petch

-----Original Message-----
From: Yakov Rekhter <[email-masked]>
To: [email-masked] <[email-masked]>
Date: 02 October 2002 16:49
Subject: issue 8

>Folks,
>
>I'd like to propose the following text for "BGP Timers" section:
>
>   BGP employs five timers: ConnectRetry (see Section 8), Hold Time
>   (see Section 4.2), KeepAlive (see Section 8),
MinASOriginationInterval
>   (see Section 9.2.1.2), and MinRouteAdvertisementInterval (see
>   Section 9.2.1.1).
>
>   The suggested value for the ConnectRetry timer is 120 seconds.
>
>   The suggested value for the Hold Time is 90 seconds.
>
>   The suggested value for the KeepAlive timer is 1/3 of the Hold
>   Time.
>
>   The suggested value for the MinASOriginationInterval is 15
>   seconds.
>
>   The suggested value for the MinRouteAdvertisementInterval is 30
>   seconds.
>
>   An implementation of BGP MUST allow the Hold Time timer to be
>   configurable, and MAY allow the other timers to be configurable.
>
>   To minimize the likelihood that the distribution of BGP messages
>   by a given BGP speaker will contain peaks, jitter should be
>   applied to the timers associated with MinASOriginationInterval,
>   Keepalive, MinRouteAdvertisementInterval, and ConnectRetry. A
>   given BGP speaker shall apply the same jitter to each of these
>   quantities regardless of the destinations to which the updates
>   are being sent; that is, jitter will not be applied on a "per
>   peer" basis.
>
>Any objections ?
>
>Yakov.
>
>   The amount of jitter to be introduced shall be determined by
>   multiplying the base value of the appropriate timer by a random
>   factor which is uniformly distributed in the range from 0.75 to
>   1.0.
>
>